AsterNet Class Library (Sandcastle documentation)
AsterNet Class Library (Sandcastle documentation)
AsterNET.FastAGI.Command
GetDataCommand Class
GetDataCommand Constructor
GetDataCommand Methods
GetDataCommand Properties

| GetDataCommand Class

Stream the given file, and recieve DTMF data. The user may interrupt the streaming by starting to enter digits.
Returns the digits recieved from the channel at the other end.
Input ends when the timeout is reached, the maximum number of digits is read or the user presses #.
Inheritance Hierarchy
System
Object
AsterNET.FastAGI.Command
AGICommand
AsterNET.FastAGI.Command
GetDataCommand

Namespace: AsterNET.FastAGI.Command
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public class GetDataCommand : AGICommand

    Public Class GetDataCommand
    	Inherits AGICommand

    public ref class GetDataCommand : public AGICommand

    type GetDataCommand =
        class
            inherit AGICommand
        end

The GetDataCommand type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| GetDataCommand(String) | Creates a new GetDataCommand with default timeout and maxDigits set to 1024.
| GetDataCommand(String, Int64) | Creates a new GetDataCommand with the given timeout and maxDigits set to 1024.
| GetDataCommand(String, Int64, Int32) | Creates a new GetDataCommand with the given timeout and maxDigits.

Top
Methods

| Name | Description
--- | --- | ---
| BuildCommand | (Overrides AGICommand BuildCommand .)
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| EscapeAndQuote | (Inherited from AGICommand.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| ToString | (Inherited from AGICommand.)

Top
Properties

| Name | Description
--- | --- | ---
| File | Get/Set the name of the file to stream. Must not include extension.
| MaxDigits | Get/Set the maximum number of digits to read. The maximum number of digits to read. Must be in [1..1024].
| Timeout | Get/Set the timeout in milliseconds to wait for data. 0 means standard timeout value, -1 means "ludicrous time" (essentially never times out).

Top
See Also

#### Reference

AsterNET.FastAGI.Command Namespace